module mkinds

! define kinds for portability
! i4 will support 10^-9 through 10^9
! i8 will support 10-18 through 1018
! r4 will have atleast 6 digits of precision
! r8 will have atleast 12 digits of precision

implicit none
integer, parameter :: cl  = 120, &
                      i4  = selected_int_kind(9), &
                      i8  = selected_int_kind(18),&
                      bl  = kind(.true.),         &
                      r4  = selected_real_kind(6),&
                      r8  = selected_real_kind(12)
end module mkinds
